Calculate tax tip paycheck

Performs paycheck calculation for hourly employees with reported tips

Query Params
string
enum

Report type to generate (requires valid print object)

boolean
Defaults to false

Include calculator object in response

boolean
Defaults to false

Include itemized tax details

Body Params

Tax tip calculator configuration

number
required
≥ 0

Additional amount to withhold for federal taxes

date-time

Date of the paycheck calculation

number
≥ 0

Deductions amount from W-4 2020+ Step 4b

number
≥ 0

Dependent amount from W-4 2020+ Step 3

boolean

Whether the employee is exempt from federal tax withholding

boolean

Whether the employee is exempt from FICA (Social Security) tax

boolean

Whether the employee is exempt from Medicare tax

int32
required
≥ 0

Number of federal tax allowances claimed

string
enum

Federal tax filing status

Allowed:
string
enum

Federal filing status for W-4 2020+ form

Allowed:
number
required
≥ 0

Gross pay amount for the calculation period

number
required
≥ 0

Year-to-date gross pay

otherIncome
array of objects

List of other income sources (imputed income)

otherIncome
number
≥ 0

Other income amount from W-4 2020+ Step 4a

string
enum

Frequency of pay periods

presetDeductions
array of objects

List of preset custom deductions

presetDeductions
presetImputed
array of objects

List of preset imputed income

presetImputed
print
object

Print object for PDF report generation

rates
array of objects
required

List of pay rates with hourly rate and hours worked

rates*
boolean

Whether to round federal withholding amounts

string
enum
required

Two-letter state abbreviation where the employee works

stateInfo
object

State-specific parameters for the calculation

number
required
≥ 0

Total tip amount received

boolean

Whether employee has two jobs (W-4 2020+ Step 2c)

voluntaryDeductions
array of objects

List of voluntary deductions (401k, HSA, custom deductions, etc.)

voluntaryDeductions
boolean

Whether using W-4 form from 2020 or later (vs. pre-2020 W-4)

Responses

422

Unprocessable Entity

500

Internal Server Error

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Jump to top